%define host     www.falconpl.org
%define mainver  0.8.14

Name:            Falcon
Version:         %{mainver}.2
Release:         1%{?dist}
Summary:         The Falcon Programming Language
Summary(it):     Il linguaggio di programmazione Falcon

License:        GPLv2+
Group:          Development/Languages
URL:            http://%{host}/
Source:         http://%{host}/project_dl/_official_rel/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  bison cmake pcre-devel zlib-devel

%description
The Falcon Programming Language is an embeddable scripting language
aiming to empower even simple applications with a powerful,
flexible, extensible and highly configurable scripting engine.

Falcon is also a standalone multiplatform scripting language that
aims to be both simple and powerful.

%description -l it
Il Falcon è un linguaggio di programmazione embeddabile che intende
fornire nuove potenzialità anche a semplici applicazioni, fornendo
loro un potente, flessibie, estendibile e configurabile motore
di scripting.

Falcon è anche uno scripting languge completo e multipiattaforma,
semplice e potente.

%package   devel
Summary:   Development files for %{name}
Group:     Development/Libraries
Requires:  %{name} = %{version}-%{release}

%description devel
The Falcon Programming Language is an embeddable scripting language
aiming to empower even simple applications with a powerful,
flexible, extensible and highly configurable scripting engine.

Falcon is also a standalone multiplatform scripting language that
aims to be both simple and powerful.

This package contains development files for %{name}. This is not
necessary for using the %{name} interpreter.


%prep
%setup -q -n %{name}-%{mainver}


%build
CXXFLAGS="$RPM_OPT_FLAGS -w" CFLAGS="$RPM_OPT_FLAGS -w" ./build.sh \
  -p $RPM_BUILD_ROOT%{_prefix} -f %{_prefix} -l %{_lib} %{?_smp_flags}


%install
rm -rf $RPM_BUILD_ROOT
./build.sh -i
# with cmake-2.6, the default install target misses some files
[ -f $RPM_BUILD_ROOT%{_bindir}/faltest ] || \
  (cd devel/release/build/core && make install && \
   cd ../modules/feathers && make install)
# Fix falconeer script
sed -i "s|#!/bin/falcon|#!%{_bindir}/falcon|" \
  $RPM_BUILD_ROOT%{_bindir}/falconeer.fal


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog copyright README RELNOTES LICENSE LICENSE_GPLv2
%exclude %{_bindir}/falcon-conf
%exclude %{_bindir}/falconeer.fal
%exclude %{_bindir}/faltest
%{_bindir}/*
%exclude %{_mandir}/man1/falcon-conf*
%exclude %{_mandir}/man1/falconeer.fal*
%exclude %{_mandir}/man1/faltest*
%{_libdir}/falcon
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_bindir}/falcon-conf
%{_bindir}/falconeer.fal
%{_bindir}/faltest
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man1/falcon-conf*
%{_mandir}/man1/falconeer.fal*
%{_mandir}/man1/faltest*

%changelog
* Fri Feb  6 2009 Michel Salim <salimma@fedoraproject.org> - 0.8.14.2-1
- Update to 0.8.14.2

* Mon Jun  9 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.8.10-3
- Revert r401 patch; does not fix cmake-2.6 problem on Rawhide
  Reverting to manually using 'make install' in individual subdirectories

* Mon Jun  9 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.8.10-2
- Merge in cmake fixes from core/trunk r401
- Patch core/CMakeLists.txt to default to /usr, as it appears that the
  requested prefix is not properly used
- Fix incorrect #! interpreter in falconeer.fal

* Sat Jun  7 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.8.10-1
- Update to 0.8.10

* Wed May 21 2008 Michel Salim <salimma@fedoraproject.org> - 0.8.8-3
- Use correct libdir for module path

* Thu Apr 24 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.8.8-2
- Updated license
- Changed source URL to one that includes license grant

* Fri Jan 25 2008 Michel Salim <michel.sylvan@gmail.com> - 0.8.8-1
- Initial Fedora package
  Based on initial spec by Giancarlo Niccolai <gc@falconpl.org>
